# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Interface IOutOfLineContent

All Superinterfaces:
  IContent

All Known Subinterfaces:
  IMediaContent

All Known Implementing Classes:
  MediaContent, OutOfLineContent

    public interface IOutOfLineContent

extends IContent

Shared interface for OutOfLineContent implementations.

Nested Class Summary

Nested classes/interfaces inherited from interface com.google.gdata.data.IContent
`IContent.Type`

Method Summary
`java.lang.String` `getEtag()` Returns the HTTP etag for the referenced content or `null` if none.
`ContentType` `getMimeType()` Returns the MIME content type.
`java.lang.String` `getUri()` Returns the external URI.

Methods inherited from interface com.google.gdata.data.IContent
`getLang, getType`

Method Detail

### getMimeType

    ContentType getMimeType()

  Returns the MIME content type.

### getUri

    java.lang.String getUri()

  Returns the external URI.

### getEtag

    java.lang.String getEtag()

  Returns the HTTP etag for the referenced content or `null` if none.